﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=11.2
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private SV As ScrollView
	Private Header As Panel
	Private Table As Panel
	Private NumberOfColumns, RowHeight, ColumnWidth As Int
	Private HeaderColor, TableColor, FontColor, HeaderFontColor As Int
	Private FontSize As Float
	Type RowCol (Row As Int, Col As Int)
	Dim Alignment As Int
	Dim SelectedRow As Int
	Dim SelectedRowColor As Int
	
	'Table settings
	HeaderColor = Colors.Gray
	NumberOfColumns = 4
	RowHeight = 60dip
	TableColor = Colors.White
	FontColor = Colors.Black
	HeaderFontColor = Colors.White
	FontSize = 14
	Alignment = Gravity.CENTER 'change to Gravity.LEFT or Gravity.RIGHT for other alignments.
	SelectedRowColor = Colors.Blue
End Sub


Sub Activity_Create(FirstTime As Boolean)
	SV.Initialize(0)
	Table = SV.Panel
	Table.Color = TableColor
	Activity.AddView(SV, 5%x, 10%y, 90%x, 80%y)
	ColumnWidth = SV.Width / NumberOfColumns
	SelectedRow = -1
	'add header
	SetHeader(Array As String("Time", "Altitude", "Speed", "Distance"))
	'add rows
	' For i = 1 To 100
	' 	AddRow(Array As String(i, "Some text", i * 2, "abc"))
	' Next
	'set the value of a specific cell
	' SetCell(0, 3, "New value")
	'get the value
	' Log("Cell (1, 2) value = " & GetCell(1, 2))
	Private t,tim,lat,lon,alt,spe,dis As String
	Private i As Long
	' t = "select datetime(zeit / 1000, 'unixepoch') AS dt,* from locations order by ID desc limit 100"
	t = "select * from locations order by ID desc limit 100"
	Private rs As ResultSet
	rs = Tracker.sql1.ExecQuery (t)
	Do While rs.NextRow
		
		' tim=rs.getstring ("dt")
		i=rs.GetInt ("zeit")
		' tim = DateTime.Date (i) & " " & DateTime.Time (i)
		tim = DateTime.Time (i)
		lat=rs.getstring ("lati")
		lon=rs.getstring ("longi")
		alt=NumberFormat (rs.getdouble ("alti"),3,1)
		spe=NumberFormat (rs.GetDouble ("speed") * 3.6,1,2)
		dis=rs.getstring ("dist")
		AddRow(Array As String(tim,alt,spe,dis))
		
	Loop
	
	
	
End Sub

Sub SetHeader(Values() As String)
	If Header.IsInitialized Then Return 'should only be called once
	Header.Initialize("")
	For i = 0 To NumberOfColumns - 1
		Dim l As Label
		l.Initialize("header")
		l.Text = Values(i)
		l.Gravity = Gravity.CENTER
		l.TextSize = FontSize
		l.Color = HeaderColor
		l.TextColor = HeaderFontColor
		l.Tag = i
		Header.AddView(l, ColumnWidth * i, 0, ColumnWidth, RowHeight)
	Next
	Activity.AddView(Header, SV.Left, SV.Top - RowHeight, SV.Width, RowHeight)
End Sub

Sub AddRow(Values() As String)
	If Values.Length <> NumberOfColumns Then
		Log("Wrong number of values.")
		Return
	End If
	Dim lastRow As Int
	lastRow = NumberOfRows
	For i = 0 To NumberOfColumns - 1
		Dim l As Label
		l.Initialize("cell")
		l.Text = Values(i)
		l.Gravity = Alignment
		l.TextSize = FontSize
		l.TextColor = FontColor
		Dim rc As RowCol
		rc.Initialize
		rc.Col = i
		rc.Row = lastRow
		l.Tag = rc
		Table.AddView(l, ColumnWidth * i, RowHeight * lastRow, ColumnWidth, RowHeight)
	Next
	Table.Height = NumberOfRows * RowHeight
End Sub

Sub NumberOfRows As Int
	Return Table.NumberOfViews / NumberOfColumns
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
